import request from '@/utils/request'


// 查询检测商品列表
export function listWorkOrder(query) {
  return request({
    url: '/system/inspectionMallPartners/workOrder',
    method: 'get',
    params: query
  })
}

export function listDelWorkOrder(query) {
  return request({
    url: '/system/inspectionMallPartners/delWorkOrder',
    method: 'get',
    params: query
  })
}
export function workOrderData(query) {
  return request({
    url: '/system/inspectionMallPartners/workOrderData',
    method: 'get',
    params: query
  })
}

export function getBankAccountList(){
  return request({
    url: '/partnerOwn/partner/getBankAccountList',
    method: 'get',


  })
}
//制证
export function makeCertOk(data){
  return request({
    url: '/partnerOwn/partner/makeCertOk',
    method: 'post',
    params:data

  })
}
//stopInspection
export function stopInspection(data){
  return request({
    url: '/partnerOwn/partner/stopInspection',
    method: 'post',
    data:data

  })
}


export function offlineCharging(data){
  return request({
    url: '/partnerOwn/partner/offlineCharging',
    method: 'post',
    data:data

  })
}
export function inspectionDetail(id){
  return request({
    url: '/partnerOwn/partner/inspectionDetail',
    method: 'get',
    params:{
      inspectionInfoId:id
    }

  })
}
// pid
export function shopInfo() {
  return request({
    url: '/partnerOwn/partner/shopInfoByUserId',
    method: 'get',

  })
}
// 查询检测商品列表
export function listGoods(query) {
  return request({
    url: '/system/inspectionGoods/partnerGoodsListTree',
    method: 'get',
    params: query
  })
}

// 查询检测商品列表
export function addWorkInfo(data) {
  return request({
    url: '/system/info/add',
    method: 'post',
    data: data
  })
}
// 查询接待员列表
export function getWorker(data) {
  return request({
    url: '/partnerOwn/partner/getWorkList',
    method: 'get',
    params: data
  })
}

// 查询检测商品列表
export function settleAccounts(id) {
  return request({
    url: '/system/info/settleAccounts?InspectionId='+id,
    method: 'post'
  })
}
// 查询检测商品列表
export function workOrderView(id) {
  return request({
    url: '/partnerOwn/partner/workOrderView?inspectionId='+id,
    method: 'get'
  })
}


// 查询检测商品列表
export function updateWorkInfo(data) {
  return request({
    url: '/system/info/update',
    method: 'post',
    data: data
  })
}

export function delWorkInfo(id) {
  return request({
    url: '/system/info/del?id='+id,
    method: 'post'
  })
}
